Skip to main content
GET
/
v1
/
google
/
patents
/
search
Search Google Patents
curl --request GET \
  --url https://scrapebadger.com/v1/google/patents/search \
  --header 'x-api-key: <api-key>'
import requests

url = "https://scrapebadger.com/v1/google/patents/search"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://scrapebadger.com/v1/google/patents/search', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "results": [
    {
      "title": "<string>",
      "patent_id": "<string>",
      "snippet": "<string>",
      "publication_number": "<string>",
      "priority_date": "<string>",
      "filing_date": "<string>",
      "grant_date": "<string>",
      "publication_date": "<string>",
      "inventor": "<string>",
      "assignee": "<string>",
      "language": "<string>",
      "thumbnail": "<string>",
      "pdf_link": "<string>",
      "link": "<string>",
      "figures": [
        {
          "url": "<string>",
          "thumbnail": "<string>"
        }
      ],
      "country_status": {}
    }
  ],
  "query": "<string>",
  "pagination": {
    "current": 1,
    "next": "<string>",
    "total_results": 123,
    "total_pages": 123,
    "page_no": {}
  },
  "total_results": 123
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

x-api-key
string
header
required

Query Parameters

q
string
required

Search query (supports Boolean logic)

page
integer
default:0

Page number

Required range: x >= 0
num
integer
default:10

Results per page

Required range: 1 <= x <= 100
sort
enum<string> | null

Sort order

Available options:
new,
old
inventor
string | null

Inventor name(s)

assignee
string | null

Assignee name(s)

country
string | null

Country code(s)

language
enum<string> | null

Patent language

Available options:
ENGLISH,
GERMAN,
CHINESE,
FRENCH,
JAPANESE,
KOREAN,
SPANISH
status
enum<string> | null
Available options:
GRANT,
APPLICATION
patent_type
enum<string> | null
Available options:
PATENT,
DESIGN
before
string | null

Before date (YYYYMMDD)

after
string | null

After date (YYYYMMDD)

Response

Successful Response

Response for GET /api/v1/patents/search.

results
PatentResult · object[]
required
query
string
required
pagination
Pagination · object
required

Pagination metadata.

total_results
integer | null